org.apache.solr.client.solrj.request

## Class V2Request

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<V2Response>
  - - org.apache.solr.client.solrj.request.V2Request

All Implemented Interfaces:
  Serializable, MapSerializable, MapWriter, NavigableObject

    public class V2Request
    extends SolrRequest<V2Response>
    implements MapWriter

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `V2Request.Builder`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`boolean` `useBinary`
`static ThreadLocal<AtomicLong>` `v2Calls`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected V2Response` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`String` `getCollection()`
`RequestWriter.ContentWriter` `getContentWriter(String s)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`boolean` `isPerCollectionRequest()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getContentStreams, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Field Detail

#### v2Calls

    public static final ThreadLocal<AtomicLong> v2Calls

#### useBinary

    public final boolean useBinary

### Method Detail

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<V2Response>`

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter(String s)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<V2Response>`
Parameters:
  `s` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### isPerCollectionRequest

    public boolean isPerCollectionRequest()

#### getCollection

    public String getCollection()

Overrides:
  `getCollection` in class `SolrRequest<V2Response>`

#### createResponse

    protected V2Response createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<V2Response>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`